Bug 161502 - [patch] lang/sbcl: allow bootstrapping on 10.0-CURRENT
Summary: [patch] lang/sbcl: allow bootstrapping on 10.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 22:20 UTC by Nali Toja
Modified: 2011-11-21 00:50 UTC (History)
0 users

See Also:


Attachments
bootstrap_on_head.diff (965 bytes, patch)
2011-10-11 22:20 UTC, Nali Toja
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nali Toja 2011-10-11 22:20:06 UTC
- make NEWBOOTNAME based on OSREL like CONFIGURE_TARGET
- remove upper limit for sbcl-1.0.31-${ARCH}-freebsd8-binary.tar.bz2
Comment 1 Edwin Groothuis freebsd_committer 2011-10-11 22:20:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Thomas Abthorpe freebsd_committer 2011-11-05 04:13:27 UTC
Responsible Changed
From-To: stas->freebsd-ports-bugs

- back to the heap
Comment 3 Brendan Fabeny freebsd_committer 2011-11-19 10:29:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 4 dfilter service freebsd_committer 2011-11-21 00:42:01 UTC
bf          2011-11-21 00:39:56 UTC

  FreeBSD ports repository

  Modified files:
    lang/sbcl            Makefile 
    lang/sbcl/files      patch-disable-failing-tests 
  Log:
  -fix builds on FreeBSD 9,10 [1]
  -temporarily mark WITH_THREADS as BROKEN on 9,10 [2]
  -fix NOPORTDOCS; add a regression-test alias for the test
   target; delay the patch clean-up to ease debugging; remove
   some lines dealing with unsupported versions of FreeBSD
  
  PR:             161502 [1], 162017 [2]
  Submitted by:   N. Toja [1,2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.93      +18 -19    ports/lang/sbcl/Makefile
  1.4       +2 -11     ports/lang/sbcl/files/patch-disable-failing-tests
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Brendan Fabeny freebsd_committer 2011-11-21 00:44:52 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!